diff -r b193168bad98 src/accelUtil.cpp
--- src/accelUtil.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/accelUtil.cpp	Thu May 14 20:21:58 2015 +0200
@@ -27,7 +27,7 @@
 #include <accelUtil.h>
 #include <resources.h>
 
-#include <QtGui/QKeySequence>
+#include <QKeySequence>
 
 #include <iostream>
 #include <string.h>
@@ -49,7 +49,7 @@
    QString cval = val.trimmed().toLower();
 
    QKeySequence keyseq = QKeySequence::fromString( cval );
-   accel = (int)keyseq;
+   accel = keyseq[0];
    
    // Check that converting back gets the original value
    return ( cval == keyseq.toString().toLower() );
@@ -59,7 +59,7 @@
 //
 void XxAccelUtil::write( std::ostream& os, int accel )
 {
-   os << QKeySequence( accel ).toString().toAscii().constData();
+   os << QKeySequence( accel ).toString().toLatin1().constData();
 }
 
 XX_NAMESPACE_END
diff -r b193168bad98 src/accelUtil.h
--- src/accelUtil.h	Wed Apr 15 14:02:15 2015 -0400
+++ src/accelUtil.h	Thu May 14 20:21:58 2015 +0200
@@ -32,7 +32,7 @@
 #endif
 
 #ifndef INCL_QT_QSTRING
-#include <QtCore/QString>
+#include <QString>
 #define INCL_QT_QSTRING
 #endif
 
diff -r b193168bad98 src/app.cpp
--- src/app.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/app.cpp	Thu May 14 20:21:58 2015 +0200
@@ -49,31 +49,31 @@
 #include <central.h>
 #include <borderLabel.h>
 
-#include <QtGui/QMainWindow>
-#include <QtGui/QMenu>
-#include <QtGui/QMenuBar>
-#include <QtGui/QLayout>
-#include <QtGui/QScrollBar>
-#include <QtGui/QLabel>
-#include <QtGui/QStyleFactory>
-#include <QtGui/QFont>
-#include <QtGui/QMessageBox>
-#include <QtGui/QFileDialog>
-#include <QtGui/QShortcut>
-#include <QtGui/QWhatsThis>
-#include <QtGui/QClipboard>
-#include <QtCore/QProcess>
-#include <QtGui/QToolBar>
-#include <QtGui/QAction>
-#include <QtCore/QTextStream>
-#include <QtCore/QFile>
-#include <QtGui/QSplitter>
-#include <QtCore/QRegExp>
-#include <QtGui/QCheckBox>
-#include <QtCore/QDateTime>
-#include <QtGui/QPixmap>
-#include <QtGui/QHBoxLayout>
-#include <QtGui/QVBoxLayout>
+#include <QMainWindow>
+#include <QMenu>
+#include <QMenuBar>
+#include <QLayout>
+#include <QScrollBar>
+#include <QLabel>
+#include <QStyleFactory>
+#include <QFont>
+#include <QMessageBox>
+#include <QFileDialog>
+#include <QShortcut>
+#include <QWhatsThis>
+#include <QClipboard>
+#include <QProcess>
+#include <QToolBar>
+#include <QAction>
+#include <QTextStream>
+#include <QFile>
+#include <QSplitter>
+#include <QRegExp>
+#include <QCheckBox>
+#include <QDateTime>
+#include <QPixmap>
+#include <QHBoxLayout>
+#include <QVBoxLayout>
 
 
 #ifdef XX_KDE
@@ -179,7 +179,7 @@
    XxMainWindow(
       XxApp*      app,
       QWidget*    parent = 0,
-      Qt::WFlags      f = Qt::Window
+      Qt::WindowFlags      f = Qt::Window
    );
 
 
@@ -197,7 +197,7 @@
 XxMainWindow::XxMainWindow(
    XxApp*      app,
    QWidget*    parent,
-   Qt::WFlags      f
+   Qt::WindowFlags      f
 ) :
    QkMainWindow( parent, f ),
    _app( app )
@@ -2283,12 +2283,12 @@
          if ( _resources->getBoolOpt( BOOL_DIRDIFF_RECURSIVE ) ) {
             dirdiff_command = _resources->getCommand(
                CMD_DIFF_DIRECTORIES_REC
-            ).toAscii();
+            ).toLatin1();
          }
          else {
             dirdiff_command = _resources->getCommand(
                CMD_DIFF_DIRECTORIES
-            ).toAscii();
+            ).toLatin1();
          }
          std::auto_ptr<XxDiffs> tmp(
             dirsBuilder->process( dirdiff_command.constData(), *_files[0], *_files[1] )
@@ -3547,7 +3547,7 @@
 
    if ( filenames.count() > 0 ) {
       // Spawn a diff.
-      QString command = argv()[0];
+      QString command = arguments()[0];
 
       if ( filenames.count() == 1 ) {
          command += QString(" --single ");
diff -r b193168bad98 src/app.h
--- src/app.h	Wed Apr 15 14:02:15 2015 -0400
+++ src/app.h	Thu May 14 20:21:58 2015 +0200
@@ -48,12 +48,12 @@
 #endif
 
 #ifndef INCL_QT_QAPPLICATION
-#include <QtGui/QApplication>
+#include <QApplication>
 #define INCL_QT_QAPPLICATION
 #endif
 
 #ifndef INCL_QT_QFILEINFO
-#include <QtCore/QFileInfo>
+#include <QFileInfo>
 #define INCL_QT_QFILEINFO
 #endif
 
diff -r b193168bad98 src/app.inline.h
--- src/app.inline.h	Wed Apr 15 14:02:15 2015 -0400
+++ src/app.inline.h	Thu May 14 20:21:58 2015 +0200
@@ -37,7 +37,7 @@
 #endif
 
 #ifndef INCL_QT_QSCROLLBAR
-#include <QtGui/QScrollBar>
+#include <QScrollBar>
 #define INCL_QT_QSCROLLBAR
 #endif
 
diff -r b193168bad98 src/borderLabel.cpp
--- src/borderLabel.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/borderLabel.cpp	Thu May 14 20:21:58 2015 +0200
@@ -27,13 +27,13 @@
 #include <borderLabel.h>
 #include <app.h>
 
-#include <QtGui/QPainter>
-#include <QtGui/QBrush>
-#include <QtGui/QPen>
-#include <QtGui/QColor>
+#include <QPainter>
+#include <QBrush>
+#include <QPen>
+#include <QColor>
 
-#include <QtGui/QApplication>
-#include <QtGui/QLabel>
+#include <QApplication>
+#include <QLabel>
 
 #include <stdio.h>
 
diff -r b193168bad98 src/borderLabel.h
--- src/borderLabel.h	Wed Apr 15 14:02:15 2015 -0400
+++ src/borderLabel.h	Thu May 14 20:21:58 2015 +0200
@@ -36,7 +36,7 @@
 #endif
 
 #ifndef INCL_QT_QLABEL
-#include <QtGui/QLabel>
+#include <QLabel>
 #define INCL_QT_QLABEL
 #endif
 
diff -r b193168bad98 src/buffer.cpp
--- src/buffer.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/buffer.cpp	Thu May 14 20:21:58 2015 +0200
@@ -28,10 +28,10 @@
 #include <exceptions.h>
 #include <util.h>
 
-#include <QtGui/QFontMetrics>
-#include <QtGui/QFont>
-#include <QtCore/QRect>
-#include <QtCore/QDir>
+#include <QFontMetrics>
+#include <QFont>
+#include <QRect>
+#include <QDir>
 
 #include <iostream>
 #include <string.h>
diff -r b193168bad98 src/buffer.h
--- src/buffer.h	Wed Apr 15 14:02:15 2015 -0400
+++ src/buffer.h	Thu May 14 20:21:58 2015 +0200
@@ -51,17 +51,17 @@
 #endif
 
 #ifndef INCL_QT_QSTRING
-#include <QtCore/QString>
+#include <QString>
 #define INCL_QT_QSTRING
 #endif
 
 #ifndef INCL_QT_QSTRINGLIST
-#include <QtCore/QStringList>
+#include <QStringList>
 #define INCL_QT_QSTRINGLIST
 #endif
 
 #ifndef INCL_QT_QFILEINFO
-#include <QtCore/QFileInfo>
+#include <QFileInfo>
 #define INCL_QT_QFILEINFO
 #endif
 
diff -r b193168bad98 src/builderDirs2.cpp
--- src/builderDirs2.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/builderDirs2.cpp	Thu May 14 20:21:58 2015 +0200
@@ -30,12 +30,12 @@
 #include <util.h>
 #include <buffer.h>
 
-#include <QtCore/QString>
-#include <QtCore/QByteArray>
-#include <QtCore/QStringList>
-#include <QtCore/QTextStream>
-#include <QtCore/QFile>
-#include <QtCore/QProcess>
+#include <QString>
+#include <QByteArray>
+#include <QStringList>
+#include <QTextStream>
+#include <QFile>
+#include <QProcess>
 
 #include <stdexcept>
 #include <stdio.h>
diff -r b193168bad98 src/builderFiles2.cpp
--- src/builderFiles2.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/builderFiles2.cpp	Thu May 14 20:21:58 2015 +0200
@@ -31,11 +31,11 @@
 #include <diffutils.h>
 #include <buffer.h>
 
-#include <QtCore/QString>
-#include <QtCore/QByteArray>
-#include <QtCore/QTextStream>
-#include <QtCore/QFile>
-#include <QtCore/QProcess>
+#include <QString>
+#include <QByteArray>
+#include <QTextStream>
+#include <QFile>
+#include <QProcess>
 
 #include <stdexcept>
 #include <stdio.h>
diff -r b193168bad98 src/builderFiles3.cpp
--- src/builderFiles3.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/builderFiles3.cpp	Thu May 14 20:21:58 2015 +0200
@@ -30,11 +30,11 @@
 #include <util.h>
 #include <buffer.h>
 
-#include <QtCore/QString>
-#include <QtCore/QByteArray>
-#include <QtCore/QTextStream>
-#include <QtCore/QFile>
-#include <QtCore/QProcess>
+#include <QString>
+#include <QByteArray>
+#include <QTextStream>
+#include <QFile>
+#include <QProcess>
 
 #include <stdexcept>
 #include <stdio.h>
diff -r b193168bad98 src/builderSingle.cpp
--- src/builderSingle.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/builderSingle.cpp	Thu May 14 20:21:58 2015 +0200
@@ -28,7 +28,7 @@
 #include <diffs.h>
 #include <buffer.h>
 
-#include <QtCore/QTextStream>
+#include <QTextStream>
 
 #include <stdio.h>
 #include <iostream>
diff -r b193168bad98 src/builderUnmerge.cpp
--- src/builderUnmerge.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/builderUnmerge.cpp	Thu May 14 20:21:58 2015 +0200
@@ -29,9 +29,9 @@
 #include <buffer.h>
 #include <resources.h>
 
-#include <QtCore/QByteArray>
-#include <QtCore/QTextStream>
-#include <QtCore/QRegExp>
+#include <QByteArray>
+#include <QTextStream>
+#include <QRegExp>
 
 #include <stdio.h>
 #include <iostream>
diff -r b193168bad98 src/central.cpp
--- src/central.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/central.cpp	Thu May 14 20:21:58 2015 +0200
@@ -35,19 +35,19 @@
 #include <borderLabel.h>
 #include <help.h>
 
-#include <QtGui/QPainter>
-#include <QtGui/QBrush>
-#include <QtGui/QPen>
-#include <QtGui/QColor>
-#include <QtGui/QLayout>
-#include <QtGui/QShortcut>
+#include <QPainter>
+#include <QBrush>
+#include <QPen>
+#include <QColor>
+#include <QLayout>
+#include <QShortcut>
 
-#include <QtGui/QApplication>
-#include <QtGui/QClipboard>
-#include <QtGui/QHBoxLayout>
-#include <QtGui/QFrame>
-#include <QtGui/QLabel>
-#include <QtGui/QVBoxLayout>
+#include <QApplication>
+#include <QClipboard>
+#include <QHBoxLayout>
+#include <QFrame>
+#include <QLabel>
+#include <QVBoxLayout>
 
 #include <math.h>
 #include <stdio.h>
diff -r b193168bad98 src/central.h
--- src/central.h	Wed Apr 15 14:02:15 2015 -0400
+++ src/central.h	Thu May 14 20:21:58 2015 +0200
@@ -40,12 +40,12 @@
 #endif
 
 #ifndef INCL_QT_QMAINWINDOW
-#include <QtGui/QMainWindow>
+#include <QMainWindow>
 #define INCL_QT_QMAINWINDOW
 #endif
 
 #ifndef INCL_QT_QFRAME
-#include <QtGui/QFrame>
+#include <QFrame>
 #define INCL_QT_QFRAME
 #endif
 
diff -r b193168bad98 src/cmdline.cpp
--- src/cmdline.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/cmdline.cpp	Thu May 14 20:21:58 2015 +0200
@@ -36,9 +36,9 @@
 
 #include <kdeSupport.h>
 
-#include <QtGui/QApplication>
-#include <QtCore/QByteArray>
-#include <QtCore/QTextStream>
+#include <QApplication>
+#include <QByteArray>
+#include <QTextStream>
 
 /*#define getopt xxdiff_getopt*/
 #include <getopt.h>
diff -r b193168bad98 src/copyLabel.cpp
--- src/copyLabel.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/copyLabel.cpp	Thu May 14 20:21:58 2015 +0200
@@ -28,13 +28,13 @@
 
 #include <kdeSupport.h>
 
-#include <QtGui/QToolTip>
+#include <QToolTip>
 
-#include <QtGui/QApplication>
-#include <QtGui/QClipboard>
-#include <QtGui/QResizeEvent>
-#include <QtGui/QMouseEvent>
-#include <QtGui/QLabel>
+#include <QApplication>
+#include <QClipboard>
+#include <QResizeEvent>
+#include <QMouseEvent>
+#include <QLabel>
 
 
 /*==============================================================================
diff -r b193168bad98 src/copyLabel.h
--- src/copyLabel.h	Wed Apr 15 14:02:15 2015 -0400
+++ src/copyLabel.h	Thu May 14 20:21:58 2015 +0200
@@ -36,7 +36,7 @@
 #endif
 
 #ifndef INCL_QT_QLABEL
-#include <QtGui/QLabel>
+#include <QLabel>
 #define INCL_QT_QLABEL
 #endif
 
diff -r b193168bad98 src/diffs.cpp
--- src/diffs.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/diffs.cpp	Thu May 14 20:21:58 2015 +0200
@@ -28,7 +28,7 @@
 #include <buffer.h>
 #include <resources.h>
 
-#include <QtCore/QTextStream>
+#include <QTextStream>
 
 #include <list>
 #include <algorithm>
diff -r b193168bad98 src/diffs.h
--- src/diffs.h	Wed Apr 15 14:02:15 2015 -0400
+++ src/diffs.h	Thu May 14 20:21:58 2015 +0200
@@ -40,7 +40,7 @@
 #endif
 
 #ifndef INCL_QT_QOBJECT
-#include <QtCore/QObject>
+#include <QObject>
 #define INCL_QT_QOBJECT
 #endif
 
diff -r b193168bad98 src/diffutils.h
--- src/diffutils.h	Wed Apr 15 14:02:15 2015 -0400
+++ src/diffutils.h	Thu May 14 20:21:58 2015 +0200
@@ -32,7 +32,7 @@
 #endif
 
 #ifndef INCL_QT_QSTRING
-#include <QtCore/QString>
+#include <QString>
 #define INCL_QT_QSTRING
 #endif
 
diff -r b193168bad98 src/exceptions.cpp
--- src/exceptions.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/exceptions.cpp	Thu May 14 20:21:58 2015 +0200
@@ -28,7 +28,7 @@
 #include <cmdline.h>
 #include <help.h>
 
-#include <QtCore/QTextStream>
+#include <QTextStream>
 
 #include <iostream>
 #include <string.h> // strerror
diff -r b193168bad98 src/exceptions.h
--- src/exceptions.h	Wed Apr 15 14:02:15 2015 -0400
+++ src/exceptions.h	Thu May 14 20:21:58 2015 +0200
@@ -33,12 +33,12 @@
 #endif
 
 #ifndef INCL_QT_QSTRING
-#include <QtCore/QString>
+#include <QString>
 #define INCL_QT_QSTRING
 #endif
 
 #ifndef INCL_QT_QTEXTSTREAM
-#include <QtCore/QTextStream>
+#include <QTextStream>
 #define INCL_QT_QTEXTSTREAM
 #endif
 
diff -r b193168bad98 src/help.cpp
--- src/help.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/help.cpp	Thu May 14 20:21:58 2015 +0200
@@ -32,9 +32,9 @@
 #include <resParser.h>
 
 #include <kdeSupport.h>
-#include <QtGui/QPixmap>
-#include <QtCore/QTextStream>
-#include <QtGui/QVBoxLayout>
+#include <QPixmap>
+#include <QTextStream>
+#include <QVBoxLayout>
 
 namespace XX_NAMESPACE_PREFIX { namespace Manual {
 #if !defined(WINDOWS) && !defined(__APPLE__) && !defined(__CYGWIN__)
@@ -44,15 +44,15 @@
 #endif
 }}
 
-#include <QtGui/QDialog>
-#include <QtGui/QMessageBox>
-#include <QtGui/QLayout>
-#include <QtGui/QLabel>
-#include <QtGui/QPushButton>
-#include <QtGui/QPalette>
-#include <QtGui/QTextBrowser>
-#include <QtCore/QByteArray>
-#include <QtGui/QLineEdit>
+#include <QDialog>
+#include <QMessageBox>
+#include <QLayout>
+#include <QLabel>
+#include <QPushButton>
+#include <QPalette>
+#include <QTextBrowser>
+#include <QByteArray>
+#include <QLineEdit>
 
 #include <iostream>
 #include <stdio.h>
diff -r b193168bad98 src/help.h
--- src/help.h	Wed Apr 15 14:02:15 2015 -0400
+++ src/help.h	Thu May 14 20:21:58 2015 +0200
@@ -36,7 +36,7 @@
 #endif
 
 #ifndef INCL_QT_QDIALOG
-#include <QtGui/QDialog>
+#include <QDialog>
 #define INCL_QT_QDIALOG
 #endif
 
diff -r b193168bad98 src/hordiffImp.cpp
--- src/hordiffImp.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/hordiffImp.cpp	Thu May 14 20:21:58 2015 +0200
@@ -27,7 +27,7 @@
 #include <hordiffImp.h>
 #include <resources.h>
 
-#include <QtCore/QByteArray>
+#include <QByteArray>
 
 #ifndef COMPILER_MIPSPRO
 #include <cctype> // isspace()
diff -r b193168bad98 src/line.h
--- src/line.h	Wed Apr 15 14:02:15 2015 -0400
+++ src/line.h	Thu May 14 20:21:58 2015 +0200
@@ -41,7 +41,7 @@
 #endif
 
 #ifndef INCL_QT_QSTRING
-#include <QtCore/QString>
+#include <QString>
 #define INCL_QT_QSTRING
 #endif
 
diff -r b193168bad98 src/lineNumbers.cpp
--- src/lineNumbers.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/lineNumbers.cpp	Thu May 14 20:21:58 2015 +0200
@@ -32,14 +32,14 @@
 #include <buffer.h>
 #include <text.h>
 
-#include <QtGui/QPainter>
-#include <QtGui/QBrush>
-#include <QtGui/QPen>
-#include <QtGui/QColor>
+#include <QPainter>
+#include <QBrush>
+#include <QPen>
+#include <QColor>
 
-#include <QtGui/QApplication>
-#include <QtGui/QClipboard>
-#include <QtGui/QFrame>
+#include <QApplication>
+#include <QClipboard>
+#include <QFrame>
 
 #include <math.h>
 #include <stdio.h>
diff -r b193168bad98 src/lineNumbers.h
--- src/lineNumbers.h	Wed Apr 15 14:02:15 2015 -0400
+++ src/lineNumbers.h	Thu May 14 20:21:58 2015 +0200
@@ -36,7 +36,7 @@
 #endif
 
 #ifndef INCL_QT_QFRAME
-#include <QtGui/QFrame>
+#include <QFrame>
 #define INCL_QT_QFRAME
 #endif
 
diff -r b193168bad98 src/main.cpp
--- src/main.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/main.cpp	Thu May 14 20:21:58 2015 +0200
@@ -91,7 +91,7 @@
       }
    }
    catch ( const XxError& ex ) {
-      std::cerr << ex.getMsg().toAscii().constData() << std::endl;
+      std::cerr << ex.getMsg().toLatin1().constData() << std::endl;
       // Note: we're casting for Windows MSVC streams which are broken.
    }
    catch ( const std::exception& ex ) {
diff -r b193168bad98 src/markers.cpp
--- src/markers.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/markers.cpp	Thu May 14 20:21:58 2015 +0200
@@ -26,20 +26,20 @@
 
 #include <markers.h>
 
-#include <QtGui/QFileDialog>
-#include <QtCore/QFileInfo>
-#include <QtCore/QString>
-#include <QtCore/QDir>
+#include <QFileDialog>
+#include <QFileInfo>
+#include <QString>
+#include <QDir>
 
-#include <QtGui/QRadioButton>
-#include <QtGui/QLineEdit>
-#include <QtGui/QLabel>
-#include <QtGui/QCheckBox>
+#include <QRadioButton>
+#include <QLineEdit>
+#include <QLabel>
+#include <QCheckBox>
 
-#include <QtGui/QLayout>
-#include <QtGui/QPushButton>
-#include <QtGui/QHBoxLayout>
-#include <QtGui/QVBoxLayout>
+#include <QLayout>
+#include <QPushButton>
+#include <QHBoxLayout>
+#include <QVBoxLayout>
 
 XX_NAMESPACE_BEGIN
 
@@ -167,7 +167,7 @@
 
    _buttonOk = new QPushButton;
    _buttonOk->setText( trUtf8( "Ok" ) );
-   _buttonOk->setDefault( TRUE );
+   _buttonOk->setDefault( true );
    hlayout->addWidget( _buttonOk );
    hlayout->addItem( new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum ) );
 
@@ -253,7 +253,7 @@
    
    // Hack to embed XxMarkersWidget into the QFileDialog, since the
    // convenient Qt3 addWidgets doesn't exist anymore
-   QVBoxLayout *l = qFindChild<QVBoxLayout*>(this);
+   QVBoxLayout *l = this->findChild<QVBoxLayout*>(); //qFindChild<QVBoxLayout*>(this);
    Q_ASSERT(l);
    _markersWidget = new XxMarkersWidget( threeWay );
    l->addWidget(_markersWidget);
@@ -272,7 +272,7 @@
 )
 {
    XxMarkersFileDialog* dlg = new XxMarkersFileDialog(
-      startWith, filter, TRUE, threeWay, parent
+      startWith, filter, true, threeWay, parent
    );
 
    QString result;
diff -r b193168bad98 src/markers.h
--- src/markers.h	Wed Apr 15 14:02:15 2015 -0400
+++ src/markers.h	Thu May 14 20:21:58 2015 +0200
@@ -37,7 +37,7 @@
 #endif
 
 #ifndef INCL_STD_QFILEDIALOG
-#include <QtGui/QFileDialog>
+#include <QFileDialog>
 #define INCL_STD_QFILEDIALOG
 #endif
 
diff -r b193168bad98 src/merged.cpp
--- src/merged.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/merged.cpp	Thu May 14 20:21:58 2015 +0200
@@ -31,19 +31,19 @@
 #include <diffs.h>
 #include <buffer.h>
 
-#include <QtGui/QPainter>
-#include <QtGui/QBrush>
-#include <QtGui/QPen>
-#include <QtGui/QColor>
-#include <QtGui/QMenu>
-#include <QtGui/QMenuBar>
-#include <QtGui/QLayout>
-#include <QtGui/QCloseEvent>
+#include <QPainter>
+#include <QBrush>
+#include <QPen>
+#include <QColor>
+#include <QMenu>
+#include <QMenuBar>
+#include <QLayout>
+#include <QCloseEvent>
 
-#include <QtGui/QApplication>
-#include <QtGui/QClipboard>
-#include <QtGui/QHBoxLayout>
-#include <QtGui/QVBoxLayout>
+#include <QApplication>
+#include <QClipboard>
+#include <QHBoxLayout>
+#include <QVBoxLayout>
 
 #include <math.h>
 #include <stdio.h>
diff -r b193168bad98 src/merged.h
--- src/merged.h	Wed Apr 15 14:02:15 2015 -0400
+++ src/merged.h	Thu May 14 20:21:58 2015 +0200
@@ -44,17 +44,17 @@
 #endif
 
 #ifndef INCL_QT_QMAINWINDOW
-#include <QtGui/QMainWindow>
+#include <QMainWindow>
 #define INCL_QT_QMAINWINDOW
 #endif
 
 #ifndef INCL_QT_QFRAME
-#include <QtGui/QFrame>
+#include <QFrame>
 #define INCL_QT_QFRAME
 #endif
 
 #ifndef INCL_QT_QWIDGET
-#include <QtGui/QWidget>
+#include <QWidget>
 #define INCL_QT_QWIDGET
 #endif
 
diff -r b193168bad98 src/optionsDialog.cpp
--- src/optionsDialog.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/optionsDialog.cpp	Thu May 14 20:21:58 2015 +0200
@@ -32,24 +32,24 @@
 
 #include <kdeSupport.h>
 
-#include <QtGui/QTabWidget>
-#include <QtGui/QTextEdit>
-#include <QtGui/QLineEdit>
-#include <QtGui/QCheckBox>
-#include <QtGui/QRadioButton>
-#include <QtGui/QPushButton>
-#include <QtGui/QSpinBox>
-#include <QtGui/QListWidgetItem>
-#include <QtGui/QListWidget>
-#include <QtGui/QColor>
-#include <QtGui/QColorDialog>
-#include <QtGui/QFontDialog>
-#include <QtGui/QLabel>
-#include <QtGui/QComboBox>
-#include <QtCore/QString>
-#include <QtGui/QPainter>
-#include <QtCore/QMetaType>
-#include <QtGui/QItemDelegate>
+#include <QTabWidget>
+#include <QTextEdit>
+#include <QLineEdit>
+#include <QCheckBox>
+#include <QRadioButton>
+#include <QPushButton>
+#include <QSpinBox>
+#include <QListWidgetItem>
+#include <QListWidget>
+#include <QColor>
+#include <QColorDialog>
+#include <QFontDialog>
+#include <QLabel>
+#include <QComboBox>
+#include <QString>
+#include <QPainter>
+#include <QMetaType>
+#include <QItemDelegate>
 
 #include <stdlib.h>
 
@@ -153,39 +153,45 @@
 {
 }
 
+// copied from Qt 4.8's qvariant.h:
+// template<typename T> inline T qvariant_cast(const QVariant &variant)
+// {
+//    return qvariant_cast<T>(variant);
+// }
+
 //------------------------------------------------------------------------------
 //
 inline XxColor XxColoredItem::color() const
 {
-   return qVariantValue<XxColoredItemData>( data( Qt::DisplayRole ) )._color;
+   return qvariant_cast<XxColoredItemData>( data( Qt::DisplayRole ) )._color;
 }
 
 //------------------------------------------------------------------------------
 //
 inline QColor XxColoredItem::foreColor() const
 {
-   return qVariantValue<XxColoredItemData>( data( Qt::DisplayRole ) )._foreColor;
+   return qvariant_cast<XxColoredItemData>( data( Qt::DisplayRole ) )._foreColor;
 }
 
 //------------------------------------------------------------------------------
 //
 inline QColor XxColoredItem::backColor() const
 {
-   return qVariantValue<XxColoredItemData>( data( Qt::DisplayRole ) )._backColor;
+   return qvariant_cast<XxColoredItemData>( data( Qt::DisplayRole ) )._backColor;
 }
 
 //------------------------------------------------------------------------------
 //
 inline bool XxColoredItem::modified() const
 {
-   return qVariantValue<XxColoredItemData>( data( Qt::DisplayRole ) )._modified;
+   return qvariant_cast<XxColoredItemData>( data( Qt::DisplayRole ) )._modified;
 }
 
 //------------------------------------------------------------------------------
 //
 void XxColoredItem::setForeColor( const QColor& color)
 {
-   XxColoredItemData data = qVariantValue<XxColoredItemData>( this->data( Qt::DisplayRole ) );
+   XxColoredItemData data = qvariant_cast<XxColoredItemData>( this->data( Qt::DisplayRole ) );
    data._foreColor = color;
    setData( Qt::DisplayRole, qVariantFromValue( data ) );
 }
@@ -194,7 +200,7 @@
 //
 void XxColoredItem::setBackColor( const QColor& color)
 {
-   XxColoredItemData data = qVariantValue<XxColoredItemData>( this->data( Qt::DisplayRole ) );
+   XxColoredItemData data = qvariant_cast<XxColoredItemData>( this->data( Qt::DisplayRole ) );
    data._backColor = color;
    setData( Qt::DisplayRole, qVariantFromValue( data ) );
 }
@@ -203,7 +209,7 @@
 //
 void XxColoredItem::setModified( const bool modified )
 {
-   XxColoredItemData data = qVariantValue<XxColoredItemData>( this->data( Qt::DisplayRole ) );
+   XxColoredItemData data = qvariant_cast<XxColoredItemData>( this->data( Qt::DisplayRole ) );
    data._modified = modified;
    setData( Qt::DisplayRole, qVariantFromValue( data ) );
 }
@@ -260,7 +266,7 @@
 {
    painter->save();
 
-   XxColoredItemData data = qVariantValue<XxColoredItemData>(index.data());
+   XxColoredItemData data = qvariant_cast<XxColoredItemData>(index.data());
 
    // Font.
    painter->setFont( _resources->getFontText() );
diff -r b193168bad98 src/overview.cpp
--- src/overview.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/overview.cpp	Thu May 14 20:21:58 2015 +0200
@@ -30,14 +30,14 @@
 #include <diffs.h>
 #include <buffer.h>
 
-#include <QtGui/QPainter>
-#include <QtGui/QBrush>
-#include <QtGui/QPen>
-#include <QtGui/QColor>
-#include <QtGui/QWheelEvent>
-#include <QtGui/QResizeEvent>
-#include <QtGui/QFrame>
-#include <QtGui/QMouseEvent>
+#include <QPainter>
+#include <QBrush>
+#include <QPen>
+#include <QColor>
+#include <QWheelEvent>
+#include <QResizeEvent>
+#include <QFrame>
+#include <QMouseEvent>
 
 #include <math.h>
 
diff -r b193168bad98 src/overview.h
--- src/overview.h	Wed Apr 15 14:02:15 2015 -0400
+++ src/overview.h	Thu May 14 20:21:58 2015 +0200
@@ -36,7 +36,7 @@
 #endif
 
 #ifndef INCL_QT_QFRAME
-#include <QtGui/QFrame>
+#include <QFrame>
 #define INCL_QT_QFRAME
 #endif
 
diff -r b193168bad98 src/resParser.cpp
--- src/resParser.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/resParser.cpp	Thu May 14 20:21:58 2015 +0200
@@ -43,16 +43,16 @@
 
 #include <kdeSupport.h>
 
-#include <QtGui/QKeySequence>
-#include <QtGui/QApplication>
-#include <QtGui/QFont>
-#include <QtCore/QFile>
-#include <QtCore/QFileInfo>
-#include <QtCore/QByteArray>
-#include <QtCore/QString>
-#include <QtGui/QStyleFactory>
-#include <QtGui/QDesktopWidget>
-#include <QtCore/QTextStream>
+#include <QKeySequence>
+#include <QApplication>
+#include <QFont>
+#include <QFile>
+#include <QFileInfo>
+#include <QByteArray>
+#include <QString>
+#include <QStyleFactory>
+#include <QDesktopWidget>
+#include <QTextStream>
 
 #include <stdexcept>
 #include <iostream>
diff -r b193168bad98 src/resParser.h
--- src/resParser.h	Wed Apr 15 14:02:15 2015 -0400
+++ src/resParser.h	Thu May 14 20:21:58 2015 +0200
@@ -36,12 +36,12 @@
 #endif
 
 #ifndef INCL_QT_QSTRING
-#include <QtCore/QString>
+#include <QString>
 #define INCL_QT_QSTRING
 #endif
 
 #ifndef INCL_QT_QTEXTSTREAM
-#include <QtCore/QTextStream>
+#include <QTextStream>
 #define INCL_QT_QTEXTSTREAM
 #endif
 
diff -r b193168bad98 src/resParser.y
--- src/resParser.y	Wed Apr 15 14:02:15 2015 -0400
+++ src/resParser.y	Thu May 14 20:21:58 2015 +0200
@@ -28,10 +28,10 @@
 #include <resParser.h>
 
 // Qt imports
-#include <QtCore/QString>
-#include <QtCore/QStringList>
-#include <QtCore/QRect>
-#include <QtGui/QStyleFactory>
+#include <QString>
+#include <QStringList>
+#include <QRect>
+#include <QStyleFactory>
 
 // The parser input is the resources object to fill in.
 #define RESOURCES  ( static_cast<XxResources*>(resources) )
diff -r b193168bad98 src/resources.cpp
--- src/resources.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/resources.cpp	Thu May 14 20:21:58 2015 +0200
@@ -31,11 +31,11 @@
 #include <exceptions.h>
 #include <util.h>
 
-#include <QtGui/QColor>
-#include <QtCore/QObject>
-#include <QtGui/QApplication> // to get desktop
-#include <QtCore/QRegExp>
-#include <QtGui/QStyleFactory>
+#include <QColor>
+#include <QObject>
+#include <QApplication> // to get desktop
+#include <QRegExp>
+#include <QStyleFactory>
 
 #include <iostream>
 #include <string.h> // ::strcmp
diff -r b193168bad98 src/resources.h
--- src/resources.h	Wed Apr 15 14:02:15 2015 -0400
+++ src/resources.h	Thu May 14 20:21:58 2015 +0200
@@ -32,22 +32,22 @@
 #endif
 
 #ifndef INCL_QT_QOBJECT
-#include <QtCore/QObject>
+#include <QObject>
 #define INCL_QT_QOBJECT
 #endif
 
 #ifndef INCL_QT_QCOLOR
-#include <QtGui/QColor>
+#include <QColor>
 #define INCL_QT_QCOLOR
 #endif
 
 #ifndef INCL_QT_QFONT
-#include <QtGui/QFont>
+#include <QFont>
 #define INCL_QT_QFONT
 #endif
 
 #ifndef INCL_QT_QRECT
-#include <QtCore/QRect>
+#include <QRect>
 #define INCL_QT_QFONT
 #endif
 
diff -r b193168bad98 src/scrollView.cpp
--- src/scrollView.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/scrollView.cpp	Thu May 14 20:21:58 2015 +0200
@@ -27,11 +27,11 @@
 #include <scrollView.h>
 #include <app.h>
 
-#include <QtGui/QScrollBar>
-#include <QtCore/QSize>
-#include <QtGui/QFont>
-#include <QtGui/QFontMetrics>
-#include <QtGui/QWheelEvent>
+#include <QScrollBar>
+#include <QSize>
+#include <QFont>
+#include <QFontMetrics>
+#include <QWheelEvent>
 
 XX_NAMESPACE_BEGIN
 
diff -r b193168bad98 src/scrollView.h
--- src/scrollView.h	Wed Apr 15 14:02:15 2015 -0400
+++ src/scrollView.h	Thu May 14 20:21:58 2015 +0200
@@ -36,7 +36,7 @@
 #endif
 
 #ifndef INCL_QT_QWIDGET
-#include <QtGui/QWidget>
+#include <QWidget>
 #define INCL_QT_QWIDGET
 #endif
 
diff -r b193168bad98 src/searchDialog.cpp
--- src/searchDialog.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/searchDialog.cpp	Thu May 14 20:21:58 2015 +0200
@@ -29,9 +29,9 @@
 #include <diffs.h>
 #include <app.h>
 
-#include <QtGui/QLineEdit>
-#include <QtGui/QPushButton>
-#include <QtGui/QComboBox>
+#include <QLineEdit>
+#include <QPushButton>
+#include <QComboBox>
 
 XX_NAMESPACE_BEGIN
 
diff -r b193168bad98 src/suicideMessageBox.h
--- src/suicideMessageBox.h	Wed Apr 15 14:02:15 2015 -0400
+++ src/suicideMessageBox.h	Thu May 14 20:21:58 2015 +0200
@@ -32,7 +32,7 @@
 #endif
 
 #ifndef INCL_QT_QMESSAGEBOX
-#include <QtGui/QMessageBox>
+#include <QMessageBox>
 #define INCL_QT_QMESSAGEBOX
 #endif
 
diff -r b193168bad98 src/text.cpp
--- src/text.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/text.cpp	Thu May 14 20:21:58 2015 +0200
@@ -33,18 +33,18 @@
 
 #include <kdeSupport.h>
 
-#include <QtGui/QPainter>
-#include <QtGui/QBrush>
-#include <QtGui/QPen>
-#include <QtGui/QColor>
-#include <QtGui/QMenu>
+#include <QPainter>
+#include <QBrush>
+#include <QPen>
+#include <QColor>
+#include <QMenu>
 
-#include <QtGui/QApplication>
-#include <QtGui/QClipboard>
-#include <QtGui/QFrame>
-#include <QtGui/QResizeEvent>
-#include <QtGui/QMouseEvent>
-#include <QtGui/QWheelEvent>
+#include <QApplication>
+#include <QClipboard>
+#include <QFrame>
+#include <QResizeEvent>
+#include <QMouseEvent>
+#include <QWheelEvent>
 
 #include <math.h>
 #include <stdio.h>
diff -r b193168bad98 src/text.h
--- src/text.h	Wed Apr 15 14:02:15 2015 -0400
+++ src/text.h	Thu May 14 20:21:58 2015 +0200
@@ -36,12 +36,12 @@
 #endif
 
 #ifndef INCL_QT_QFRAME
-#include <QtGui/QFrame>
+#include <QFrame>
 #define INCL_QT_QFRAME
 #endif
 
 #ifndef INCL_QT_QFONTMETRICS
-#include <QtGui/QFontMetrics>
+#include <QFontMetrics>
 #define INCL_QT_QFONTMETRICS
 #endif
 
diff -r b193168bad98 src/util.cpp
--- src/util.cpp	Wed Apr 15 14:02:15 2015 -0400
+++ src/util.cpp	Thu May 14 20:21:58 2015 +0200
@@ -28,12 +28,12 @@
 #include <exceptions.h>
 #include <main.h>
 
-#include <QtCore/QString>
-#include <QtCore/QByteArray>
-#include <QtCore/QTextStream>
-#include <QtCore/QFileInfo>
-#include <QtCore/QRegExp>
-#include <QtCore/QDateTime>
+#include <QString>
+#include <QByteArray>
+#include <QTextStream>
+#include <QFileInfo>
+#include <QRegExp>
+#include <QDateTime>
 
 #include <iostream>
 #include <sys/types.h>
@@ -235,7 +235,7 @@
       case 'U': { // - User name of owner
          strcat( pformat, "s" );
          QString tmp;
-         tmp.sprintf( pformat,qfi.owner().toAscii().constData() );
+         tmp.sprintf( pformat,qfi.owner().toLatin1().constData() );
          target.append( tmp );
       } break;
 
@@ -249,7 +249,7 @@
       case 'G': { // - Group name of owner
          strcat( pformat, "s" );
          QString tmp;
-         tmp.sprintf( pformat,qfi.group().toAscii().constData() );
+         tmp.sprintf( pformat,qfi.group().toLatin1().constData() );
          target.append( tmp );
       } break;
 
@@ -280,7 +280,7 @@
          // It's not the exact same as stat( 2 ) does, but this is ISO 8601
          // and stat uses some weird syntax of it's own.
          tmp.sprintf( pformat,
-                      qfi.lastRead().toString( DATEFORMAT ).toAscii().constData() );
+                      qfi.lastRead().toString( DATEFORMAT ).toLatin1().constData() );
          target.append( tmp );
       } break;
 
@@ -297,7 +297,7 @@
          // It's not the exact same as stat( 2 ) does, but this is ISO 8601
          // and stat uses some weird syntax of it's own.
          tmp.sprintf( pformat,
-                      qfi.lastModified().toString( DATEFORMAT ).toAscii().constData() );
+                      qfi.lastModified().toString( DATEFORMAT ).toLatin1().constData() );
          target.append( tmp );
       } break;
 
@@ -383,7 +383,7 @@
          // and stat uses some weird syntax of it's own.
          tmp.sprintf(
             pformat,
-            ( QDateTime::currentDateTime() ).toString( DATEFORMAT ).toAscii().constData()
+            ( QDateTime::currentDateTime() ).toString( DATEFORMAT ).toLatin1().constData()
          );
          target.append( tmp );
       } break;
@@ -403,7 +403,7 @@
          // and stat uses some weird syntax of it's own.
          tmp.sprintf(
             pformat,
-            ( QDateTime::currentDateTime() ).toString( DATEFORMAT ).toAscii().constData() );
+            ( QDateTime::currentDateTime() ).toString( DATEFORMAT ).toLatin1().constData() );
          target.append( tmp );
       } break;
 
@@ -793,7 +793,7 @@
 	   break;
        // use at() in case found+1 is past the end of the string
        QChar escapedChar = newFormat.at( found+1 );
-       switch( escapedChar.toAscii() ) {
+       switch( escapedChar.toLatin1() ) {
        case 'n':
 	   newFormat = newFormat.replace( found, 2, QChar( '\n' ) );
 	   break;
diff -r b193168bad98 src/util.h
--- src/util.h	Wed Apr 15 14:02:15 2015 -0400
+++ src/util.h	Thu May 14 20:21:58 2015 +0200
@@ -32,17 +32,17 @@
 #endif
 
 #ifndef INCL_QT_QSTRING
-#include <QtCore/QString>
+#include <QString>
 #define INCL_QT_QSTRING
 #endif
 
 #ifndef INCL_QT_QFILEINFO
-#include <QtCore/QFileInfo>
+#include <QFileInfo>
 #define INCL_QT_QFILEINFO
 #endif
 
 #ifndef INCL_QT_QSTRINGLIST
-#include <QtCore/QStringList>
+#include <QStringList>
 #define INCL_QT_QSTRINGLIST
 #endif
 
